/* This file is used to determine which flags to pass to the C compiler.  */

#ifdef sparc
SETTING_CC='cc -D___SINGLE_HOST'
#include <dlfcn.h>
#ifdef RTLD_NOW
SETTING_LIBS='-ldl'
#else
SETTING_LIBS=''
#endif
#endif

#ifdef sgi
SETTING_CC='cc -Wf,-XNg4000,-XNd16000,-XNp8000 -call_shared -D___SINGLE_HOST'
SETTING_LIBS=''
#endif

#ifdef __alpha
SETTING_CC='cc -call_shared -D___SINGLE_HOST'
SETTING_LIBS=''
#endif

#ifdef hpux
SETTING_CC='cc +O1 -D___SINGLE_HOST'
SETTING_LIBS='-ldld'
#endif

#ifdef _AIX
SETTING_CC='cc -D___SINGLE_HOST'
SETTING_LIBS=''
#endif

#ifdef i386
SETTING_CC='cc -D___SINGLE_HOST'
SETTING_LIBS=''
#endif

#ifdef MACHTEN
SETTING_CC='cc'
SETTING_LIBS=''
#endif
